gen-index(8)

NAME
gen-index - generate new GNATS database index

SYNOPSIS
gen-index
    [ -n | --numeric ] [ -h | --help ]
    [ -o outfile | --outfile=outfile ]
    [ -i | --import ] [ -e | --export ]
    [ -d databasename | --database=databasename ]
    [ -V | --version ]

DESCRIPTION
Builds an index for the specified GNATS database. The index is printed to standard output by default.

OPTIONS

-n, --numeric
    Sorts index entries numerically rather than by their order in the categories list.

-d databasename, --database=databasename
    Specifies the database to be indexed. If no database is specified, the database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

-o outfile, --outfile=outfile
    Prints the index to outfile rather than to the standard output.

-i, --import
    Import the existing index file instead of re-indexing the database.

-e, --export
    Force plaintext output

-h, --help
    Prints usage for gen-index.

-V, --version
    Prints the version number of gen-index.

ENVIRONMENT VARIABLES
The GNATSDB environment variable is used to determine which database to use. For a local database, it contains the name of the database to access.

For network access via gnatsd, it contains a colon-separated list of strings that describe the remote database, in the form

server:port:databasename:username:password

Any of the fields may be omitted, but at least one colon must appear; otherwise, the value is assumed to be the name of a local database.

If GNATSDB is not set, it is assumed that the database is local and that its name is default.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info) and Reporting Problems Using send-pr (also installed as the GNU Info file send-pr.info).

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.